﻿{% extends "base.html" %}
{% load static %}

{% block title %}Connexion{% endblock %}


{% block content %}
    <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
{% if personne %}

<script type="text/javascript" language="javascript">
   //var r = confirm("Votre nom n'existe pas dans le systeme\nCliquez sur OK pour vous inscrire ?");
   //var r =swal("Echec de connexion !", "Votre nom n'existe pas dans le systeme\nCliquez sur OK pour vous inscrire SVP!");

   swal("Utilisateur n\'existe pas !", "Votre nom n'existe pas dans le systeme\nCliquez sur OK pour vous inscrire SVP!")
.then((value) => {
   document.location.href="/inscription";
});

</script>

{% endif %}


{% if passError %}

<script type="text/javascript" language="javascript">
   //alert("Le mot de passe ne correspond pas a ce nom.\nEntrez un mot de passe valide SVP.");
   swal("Mot de passe incorrect !", "Le mot de passe ne correspond pas a ce nom.\nEntrez un mot de passe valide SVP!");
</script>

{% endif %}

{% if erreur %}

<script type="text/javascript" language="javascript">
    swal("Veuillez remplir correctement le formulaire\nde connection SVP.");
</script>

{% endif %}

{% if client_email_exist%}

<script type="text/javascript" language="javascript">
    swal("Veuillez remplir correctement le formulaire\nde connection SVP.",'error');
    console.log("test bad mail");
</script>
{% endif %}

{% if conexOK %}
        {% if TestEmail == 1 %}
            <script type="text/javascript" language="javascript">
               document.location.href="/compte/{{ usr.id }}";
            </script>
        {% else %}
            <script type="text/javascript" language="javascript">
            swal({
                title: "Veuillez verifier votre email",
                text: "Pour verifier votre email cliquer sur continue",
                icon: "warning",
                buttons: true,
                successMode: true,
                buttons: ["Annuler", "Continuer"],
            }).then((willDelete) => {
                if (willDelete) {
                    document.location.href="/validation-compte/{{ usr.id }}"
                } else {

                }
            });
        </script>
    {% endif %}
{% endif %}



{% if inscription_ok %}
<script src="{% static "js/bootstrap-notify-demo.js" %}"></script>
{% endif %}
      <!-- =-=-=-=-=-=-= Breadcrumb End =-=-=-=-=-=-= -->
      <!-- =-=-=-=-=-=-= Main Content Area =-=-=-=-=-=-= -->
      <div class="main-content-area clearfix">
         <!-- =-=-=-=-=-=-= Latest Ads =-=-=-=-=-=-= -->
         <section class="section-padding no-top gray">
            <!-- Main Container -->
            <div class="container">
               <!-- Row -->
               <div class="row">
                  <!-- Middle Content Area -->
                  <div class="col-md-6 col-md-offset-3 col-sm-8 col-sm-offset-2">
                     <!--  Form -->
                     <div class="form-grid">
                        <form action="/profile/" method="post">{% csrf_token %}
                        
                           <a class="btn btn-lg btn-block btn-social btn-facebook">
                            <span class="fa fa-facebook"></span> Connexion avec Facebook
                         </a>
                           
                           <a class="btn btn-lg btn-block btn-social btn-google">
                            <span class="fa fa-google"></span> Connexion avec Google
                         </a>
                          
                          <h2 class="no-span"><b>(OR)</b></h2>
                        
                           <div class="form-group">
                              <label>Email</label>
                              <input placeholder="votre email" name="login" class="form-control" type="email">
                           </div>
                           <div class="form-group">
                              <label>Password</label>
                              <input placeholder="votre mot de passe " name="password" class="form-control" type="password">
                           </div>
                           <div class="form-group">
                              <div class="row">
                                 <div class="col-xs-12">
                                    <div class="skin-minimal">
                                       <ul class="list">
                                          <li>
                                             <input  type="checkbox" id="minimal-checkbox-1">
                                             <label for="minimal-checkbox-1">Remember Me</label>
                                          </li>
                                       </ul>
                                    </div>
                                 </div>
                              </div>
                           </div>
                           <button class="btn btn-theme btn-lg btn-block">Connexion</button>
                        </form>
                     </div>
                     <!-- Form -->
                  </div>
                  <!-- Middle Content Area  End -->
               </div>
               <!-- Row End -->
            </div>
            <!-- Main Container End -->
         </section>
         <!-- =-=-=-=-=-=-= Ads Archives End =-=-=-=-=-=-= -->
{% endblock %}

